LibreOffice: DocumentSettings Service Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
DocumentSettings Service Referencepublished

describes properties that apply to the whole drawing document. More...

`import"DocumentSettings.idl";`

Inheritance diagram for DocumentSettings:

## Included Services
service | com::sun::star::document::Settings
service | com::sun::star::document::HeaderFooterSettings
| This service configures the header and footer settings during print. More...

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| provides access to the properties. More...
Exported Interfaces inherited from Settings
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service. More...
Exported Interfaces inherited from HeaderFooterSettings
interface | com::sun::star::beans::XPropertySet
| gives access to the properties implemented by this service. More...

## Public Attributes
short | MeasureUnit
| This is the default logical measure unit that is used for string formatting inside the document, f.e. More...
long | ScaleNumerator
| is the numerator for the logical scale of the document More...
long | ScaleDenominator
| is the denominator for the logical scale of the document More...
boolean | IsPrintFitPage
| enables or disables the fitting of the page to the printable area during print More...
boolean | IsPrintTilePage
| if this is true and the paper size for printing is larger than the paper size of the printer than the content is tiled over multiple pages. More...
long | PageNumberFormat
| is the number format used for page number fields More...
boolean | ParagraphSummation
| If this is true, the distance between two paragraphs is the sum of ParaBottomMargin of the previous and ParaTopMargin of the next paragraph. More...
Public Attributes inherited from Settings
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| gives access to the set of forbidden characters. More...
short | LinkUpdateMode
| specifies the update mode for links when loading text documents. More...
string | PrinterName
| printer used by the document. More...
boolean | IsKernAsianPunctuation
| specifies if kerning is applied to Asian punctuation. More...
short | CharacterCompressionType
| specifies the compression (character spacing) type used for Asian characters. More...
boolean | ApplyUserData
| specifies if the user-specific settings saved within a document should be loaded with the document. More...
boolean | SaveVersionOnClose
| specifies if a new version is created if a document has been modified and you want to close it. More...
boolean | UpdateFromTemplate
| specifies if the document should be updated when the template it was created from changes. More...
boolean | FieldAutoUpdate
| specifies if fields in text documents are updated automatically. More...
string | CurrentDatabaseDataSource
| The name of the globally registered com::sun::star::sdb::DataSource from which the current data is taken. More...
string | CurrentDatabaseCommand
| a string value, specifying the name of the object displayed currently (or the SQL statement used). More...
long | CurrentDatabaseCommandType
| determines the interpretation of the property DataTableName. More...
long | DefaultTabStop
boolean | IsPrintBooklet
| determines if the document will be printed as a booklet (brochure), i.e., two document pages are put together on one physical page, such that you can fold the print result and get a booklet. More...
boolean | IsPrintBookletFront
| is only effective, if IsPrintBooklet is `TRUE`. More...
boolean | IsPrintBookletBack
| is only effective, if IsPrintBooklet is `TRUE`. More...
long | PrintQuality
| how printing uses color. More...
string | ColorTableURL
| contains the URL that points to a color table (file extension .soc) that will be used for showing a palette in dialogs using colors. More...
string | DashTableURL
string | LineEndTableURL
string | HatchTableURL
string | GradientTableURL
string | BitmapTableURL
boolean | AutoCalculate
short | PrinterIndependentLayout
| forbid use of printer metrics for layout More...
boolean | AddExternalLeading
| layout engine should add value of a Font's "external leading" attribute to the line spacing. More...
boolean | EmbedFonts
| Whether to embed fonts used by the document (see e.g. More...
boolean | EmbedSystemFonts
| Whether to embed also system fonts used by the document. More...
boolean | EmbedOnlyUsedFonts
| Whether to embed only the fonts that are used in the document. More...
boolean | EmbedLatinScriptFonts
| Whether to embed Latin script fonts. More...
boolean | EmbedAsianScriptFonts
| Whether to embed Asian script fonts. More...
boolean | EmbedComplexScriptFonts
| Whether to embed Complex script fonts. More...

## Additional Inherited Members
Public Types inherited from Settings
typedef sequence< byte > | PrinterSetup
| platform and driver dependent printer setup data. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Attributes inherited from HeaderFooterSettings
boolean | IsPrintPageName
| enables or disables the printing of the page name in the header or footer More...
boolean | IsPrintDate
| enables or disables the printing of the date in the header or footer More...
boolean | IsPrintTime
| enables or disables the printing of the current time in the header or footer More...

## Detailed Description

describes properties that apply to the whole drawing document.

## Exported Interfaces

## ◆ com::sun::star::document::HeaderFooterSettings

service com::sun::star::document::HeaderFooterSettings
| optional

This service configures the header and footer settings during print.

## ◆ com::sun::star::document::Settings

service com::sun::star::document::Settings

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

provides access to the properties.

## Member Data Documentation

## ◆ IsPrintFitPage

boolean IsPrintFitPage
| optionalproperty

enables or disables the fitting of the page to the printable area during print

## ◆ IsPrintTilePage

boolean IsPrintTilePage
| optionalproperty

if this is true and the paper size for printing is larger than the paper size of the printer than the content is tiled over multiple pages.

## ◆ MeasureUnit

short MeasureUnit
| optionalproperty

This is the default logical measure unit that is used for string formatting inside the document, f.e.

the measure text

## ◆ PageNumberFormat

long PageNumberFormat
| optionalproperty

is the number format used for page number fields

Values 0-7 are supported.

See also
  com::sun::star::style::NumberingType

## ◆ ParagraphSummation

boolean ParagraphSummation
| optionalproperty

If this is true, the distance between two paragraphs is the sum of ParaBottomMargin of the previous and ParaTopMargin of the next paragraph.

If false, only the greater of the two is chosen.

## ◆ ScaleDenominator

long ScaleDenominator
| optionalproperty

is the denominator for the logical scale of the document

## ◆ ScaleNumerator

long ScaleNumerator
| optionalproperty

is the numerator for the logical scale of the document

The documentation for this service was generated from the following file:

- com/sun/star/drawing/DocumentSettings.idl